# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    isapt = True
    try:
        run("apt --version")
    except:
        isapt = False

    version_soft = control.get_software_version()

    if isapt:
        uninstall()
        run("tar -xf LibreOffice_%s_Linux_x86-64_deb.tar.gz" % version_soft)
        run("dpkg -i */DEBS/*.deb")
    else:
        run("tar -xf LibreOffice_%s_Linux_x86-64_rpm.tar.gz" % version_soft)
        run("yum install RPMS/*.rpm -y")


def uninstall():
    run_notfatal("LANG=C DEBIAN_FRONTEND=noninteractive apt-get remove -y *libobasis*")
    run_notfatal("LANG=C DEBIAN_FRONTEND=noninteractive apt-get remove -y *libreoffice*")
